Lavalite package that provides listing management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/listing`.

    "bixo/listing": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Listing\Providers\ListingServiceProvider::class,

And also add it to alias

    'Listing'  => Bixo\Listing\Facades\Listing::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\ListingTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Listing\Providers\ListingServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Listing\Providers\ListingServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Listing\Providers\ListingServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/listing/{modulename}

**User**

    http://path-to-route-folder/user/listing/{modulename}

**Public**

    http://path-to-route-folder/listings


### API endpoints

**List**

    http://path-to-route-folder/api/user/listing/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/listing/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/listing/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/listing/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/listing/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/listing/{modulename}/{slug}
    METHOD: GET