<?php

namespace Bixo\Listing;

use User;

class Listing
{
    /**
     * $referral object.
     */
    protected $referral;

    /**
     * Constructor.
     */
    public function __construct(\Bixo\Listing\Interfaces\ReferralRepositoryInterface $referral)
    {
        $this->referral = $referral;
    }

    /**
     * Returns count of listing.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.referral.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->referral->pushCriteria(new \Litepie\Bixo\Repositories\Criteria\ReferralUserCriteria());
        }

        $referral = $this->referral->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('listing::' . $view, compact('referral'))->render();
    }
}
