<?php

namespace Bixo\Listing\Workflow;

use Bixo\Listing\Models\Referral;
use Bixo\Listing\Notifications\ReferralWorkflow as ReferralNotifyer;
use Notification;

class ReferralNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Referral $referral
     *
     * @return void
     */
    public function complete(Referral $referral)
    {
        return Notification::send($referral->user, new ReferralNotifyer($referral, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Referral $referral
     *
     * @return void
     */
    public function verify(Referral $referral)
    {
        return Notification::send($referral->user, new ReferralNotifyer($referral, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Referral $referral
     *
     * @return void
     */
    public function approve(Referral $referral)
    {
        return Notification::send($referral->user, new ReferralNotifyer($referral, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Referral $referral
     *
     * @return void
     */
    public function publish(Referral $referral)
    {
        return Notification::send($referral->user, new ReferralNotifyer($referral, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Referral $referral
     *
     * @return void
     */
    public function archive(Referral $referral)
    {
        return Notification::send($referral->user, new ReferralNotifyer($referral, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Referral $referral
     *
     * @return void
     */
    public function unpublish(Referral $referral)
    {
        return Notification::send($referral->user, new ReferralNotifyer($referral, 'unpublish'));;

    }
}
